// $Id: Vector4D.C,v 1.2 2005/09/21 20:08:05 vigmond Exp $
// (c) Ingmar Bitter '96-'99

#include "Vector4D.h"
#include "cmath"
#include <sstream>

template<>
void Vector4D<int>::Demo(int, char**) {
	V4d x(3.5,2.5,1.5,1.5); V4i k(x); double s = 2.5;
	std::cout << std::endl <<"Demo of class Vector4D<>";
	std::cout << std::endl <<"size : " << sizeof(V4i) << " Bytes";
	std::cout << std::endl <<"public member functions:";
	std::cout << std::endl <<"  V4d x(3.5,2.5,1.5,1.5); V4i k(x); == x=" << x <<", k=" << k;
	std::cout << std::endl <<"  k==x;\t== " << (k==x)<<"\t k!=x;\t== " << (k!=x);
	std::cout << std::endl <<"  k(1,2,3,4);\t== " << (k(1,2,3,4))<<"\t x=k;\t== " << (x=k);    
	std::cout << std::endl <<"  k==x;\t== " << (k==x)<<"\t k!=x;\t== " << (k!=x);
	std::cout << std::endl <<"  k.X();\t== " << (k.X()) <<"\t k.R();\t== " << (k.R()) <<"\t k[0];\t== " << (k[0]);
	std::cout << std::endl <<"  k.Y();\t== " << (k.Y()) <<"\t k.G();\t== " << (k.G()) <<"\t k[1];\t== " << (k[1]);
	std::cout << std::endl <<"  k.Z();\t== " << (k.Z()) <<"\t k.B();\t== " << (k.B()) <<"\t k[2];\t== " << (k[2]);
	std::cout << std::endl <<"  k.W();\t== " << (k.W()) <<"\t k.A();\t== " << (k.A()) <<"\t k[3];\t== " << (k[3]);
	std::cout << std::endl <<"  +k;\t== " << (+k) <<"\t k+x;\t== " << (k+x);
	std::cout << std::endl <<"  -k;\t== " << (-k) <<"\t k-x;\t== " << (k-x);
	std::cout << std::endl <<"  x+=k;\t== " << (x+=k);
	std::cout << std::endl <<"  x-=k;\t== " << (x-=k);
	std::cout << std::endl <<"  double s(2.5);\t== "<< s;
	std::cout << std::endl <<"  s*x;\t== " << (s*x) <<"\t x*s;\t== " << (x*s) <<"\t x*=s;\t== " << (x*=s);
	std::cout << std::endl <<"  x/s;\t== " << (x/s) <<"\t x/=s;\t== " << (x/=s);
	std::cout << std::endl <<"  x.DotProduct(x);\t== " << x.DotProduct(x);
	std::cout << std::endl <<"  x.Dot(x);\t\t== " << x.Dot(x);
  std::cout << std::endl <<"End of demo of class Vector4D\n\n";
} // Demo

// end of Vector4D.C
